# Class APIError

java.lang.Object
java.lang.Throwable
java.lang.Error
org.a11y.brlapi.APIError

All Implemented Interfaces:
  `Serializable`

public class APIError extends Error

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONNREFUSED`
`static final int`
`DEVICEBUSY`
`static final int`
`DRIVERERROR`
`static final int`
`EMPTYKEY`
`static final int`
`EOF`
`static final int`
`GAIERR`
`static final int`
`ILLEGAL_INSTRUCTION`
`static final int`
`INVALID_PACKET`
`static final int`
`INVALID_PARAMETER`
`static final int`
`LIBCERR`
`static final int`
`NOMEM`
`static final int`
`OPNOTSUPP`
`static final int`
`PROTOCOL_VERSION`
`static final int`
`SUCCESS`
`static final int`
`TTYBUSY`
`static final int`
`UNKNOWN_INSTRUCTION`
`static final int`
`UNKNOWNTTY`

## Constructor Summary

Constructors
Constructor
Description
`APIError(int api, int os, int gai, String function)`

## Method Summary

Modifier and Type
Method
Description
`final int`
`getApiError()`
`final String`
`getFunctionName()`
`final int`
`getGaiError()`
`final int`
`getOsError()`
`String`
`toString()`

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### SUCCESS

public static final int SUCCESS

See Also:
  - Constant Field Values

### NOMEM

public static final int NOMEM

See Also:
  - Constant Field Values

### TTYBUSY

public static final int TTYBUSY

See Also:
  - Constant Field Values

### DEVICEBUSY

public static final int DEVICEBUSY

See Also:
  - Constant Field Values

### UNKNOWN_INSTRUCTION

public static final int UNKNOWN_INSTRUCTION

See Also:
  - Constant Field Values

### ILLEGAL_INSTRUCTION

public static final int ILLEGAL_INSTRUCTION

See Also:
  - Constant Field Values

### INVALID_PARAMETER

public static final int INVALID_PARAMETER

See Also:
  - Constant Field Values

### INVALID_PACKET

public static final int INVALID_PACKET

See Also:
  - Constant Field Values

### CONNREFUSED

public static final int CONNREFUSED

See Also:
  - Constant Field Values

### OPNOTSUPP

public static final int OPNOTSUPP

See Also:
  - Constant Field Values

### GAIERR

public static final int GAIERR

See Also:
  - Constant Field Values

### LIBCERR

public static final int LIBCERR

See Also:
  - Constant Field Values

### UNKNOWNTTY

public static final int UNKNOWNTTY

See Also:
  - Constant Field Values

### PROTOCOL_VERSION

public static final int PROTOCOL_VERSION

See Also:
  - Constant Field Values

### EOF

public static final int EOF

See Also:
  - Constant Field Values

### EMPTYKEY

public static final int EMPTYKEY

See Also:
  - Constant Field Values

### DRIVERERROR

public static final int DRIVERERROR

See Also:
  - Constant Field Values

## Constructor Details

### APIError

public APIError(int api, int os, int gai, String function)

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Throwable`

### getApiError

public final int getApiError()

### getOsError

public final int getOsError()

### getGaiError

public final int getGaiError()

### getFunctionName

public final String getFunctionName()